[Database]
BandingBlob=Banding blob failed. The parameters' index: %d, name: '%s', blob size: %d, sqlite errcode: %d.
BandingDouble=Banding double failed. The parameters' index: %d, name: '%s', value: %f, sqlite errcode: %d.
BandingInt=Banding int failed. The parameters' index: %d, name: '%s', value: %I32d, sqlite errcode: %d.
BandingInt64=Banding int64 failed. The parameters' index: %d, name: '%s', value: %I64d, sqlite errcode: %d.
BandingString=Banding string failed. The parameters' index: %d, name: '%s', value: %s, sqlite errcode: %d.
ClearBinding=Clearing binding failed. The parameters' index: %d, name: '%s', sqlite errcode: %d.
ClearUserPassword=Clearing user's password failed. The user's nick is : '%s'.
CloseDatabase=Closing database failed. sqlite errcode: %d.
DBExecuting=Database executing sql failed. The sql is : "%s". sqlite errcode: %d.
DBPreparing=Database preparing sql failed. The sql is : "%s". sqlite errcode: %d.
DatasetClearBindings=Dataset clearing bindings failed. sqlite errcode: %d.
DatasetExecuting=Dataset executing failed. sqlite errcode: %d.
DatasetNextRow=Dataset moving next failed. sqlite errcode: %d.
DatasetReseting=Dateset reseting failed. sqlite errcode: %d.
DeleteUser=Deleting user failed. The user's nick is : '%s'.
GetUserInfo=User does not exist. The user's nick is : '%s'.
OpenDBFile=Can't open Database file '%s', sqlite errcode: %d.
SaveUser=Saveing user failed. The user's nick is : '%s'.

[Disk]
CopyFileW=Copying file %s to %s failed. system errcode: %d.
CreateFileForReading=Can't create file '%s' for reading. system errcode : %d.
CreateFileForWriting=Can't create file '%s' for writing. system errcode : %d.
FileSeek=Seek file '%s' failed. system errcode: %d.
GetFileLength=Getting file '%s' length failed. system errcode: %d.
MakeSureDirectory=Can't create directory '%s'. system errcode : %d.
ReadFile=Read file '%s' falied. system errcode: %d.
SetFileLength=Resizing file '%s' failed. system errcode: %d.
WriteFile=Write file '%s' falied. system errcode: %d.

[HttpController]
AddGood=Adding good failed becouse of wrong statua code %d
DeleteImage=Deleting image failed becouse of wrong statua code %d
DownloadAuctionImage=Downloading auction image '%s' failed because of wrong status code %d.
DownloadGood=Downloading good info failed becouse of wrong status code %d
GetCategoryList=Getting category list failed becouse of wrong status code %d
GetCategoryProperty=Getting category property failed becouse of wrong status code %d
GetCheckCode=Getting check code failed becuase of wrong status code %d.
GetGoodsList=Getting goods list failed becouse of wrong status code %d
GetPostages=Getting postages failed becouse of wrong status code %d
GetPropertyValue=Getting property value failed becouse of wrong status code %d
GetSPU=Getting SPU information failed becouse of wrong statua code %d
GetSellerCategory=Getting seller category failed becouse of wrong status code %d
GetServerTime=Getting server time failed because of wrong status code %d
GetSessionId=Getting session id failed becouse of wrong status code %d
GetUserInfo=Getting userinfo failed becouse of wrong status code %d
UpdateImage=Updating image failed becouse of wrong statua code %d
UpdatingGood=Updating good failed becouse of wrong statua code %d
UploadAuctionImage=Uploading auction image '%s' failed because of wrong status code %d.
ValidateUser=Validating user failed becuase of wrong status code %d.

[Internet]
AddRequestHeader=Adding Request Header failed. system errcode: %d.
GetHttpConnection=Get http connection to %s:%d failed. system errcode: %d.
OpenRequest=Opening request failed. system errcode: %d. 
ParseUrl=Parseing url '%s' failed.
RecvResponse=Receiving response failed. system errcode: %d.
SendRequest=Sending Request failed. system errcode: %d.
SendRequestEx=Sending extended request failed. system errcode: %d.
SetSecurityOption=Setting security option failed. option: %d, value: %d, system errcode: %d.
SetTimeout=Setting time out failed. option : %d, value: %d, system errcode : %d.
WrongServiceType=Wrong service type with url '%s'.

[Memory]
InsufficientMemory=Insufficient memory.

[Thread]
UnknownExceptionInThread=Unknown exception ocurred in work thread.

[WebService]
UploadImageFailed=Upload Image failed, file name: %s. 
WebServiceError=Web service hresult error!, hr = 0x%.8x.
WebServiceFailed=Web service retrive failure.

